Bug 270624 - no display on googlemap
Summary: no display on googlemap
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Searches-Map (show other bugs)
Version: 2.0.0
Platform: Ubuntu Packages Linux
: NOR normal with 20 votes (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-10 22:02 UTC by Vince
Modified: 2012-06-27 10:24 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vince 2011-04-10 22:02:35 UTC
Version:           2.0.0 (using KDE 4.6.2) 
OS:                Linux

When I use the map search tool, if I select "marble virtual globe" my geotagged photos appear on the map whereas if I select google-map there is no photo on the map

I use DIGIKAM 2.0.0 beta 4 from the Philip Johnsson's PPA

Reproducible: Always
Comment 1 Michael G. Hansen 2011-04-11 20:04:02 UTC
Hi Vince,

thanks for reporting this issue. I have a few questions which might help in finding the problem:

- does the Kipi-Plugins Coordinates Editor work (from Kipi-Plugins 1.9 or earlier)?
- can you see images in the other map views, like in the Geolocation properties tab on the right hand side?
- What happens when you change from thumbnail view to marker view? (There is a button with a marker below the map)
- Can you launch digikam from the console and check for libkmap related kdebug messages?

Thanks,

Michael
Comment 2 Philip Johnsson 2011-04-11 21:14:32 UTC
I can confirm that this happens for me too with Digikam 2.0 beta4. No error message or anything in terminal if I start Digikam from there and switch between Marble virtual globe and Google map mode. Thumbnails are shown both in Atlas map and OpenStreetmap so there I find no problems. The marker is visible if switch to marker mode instead of thumbnails but this only in Marble. It's just Google map that doesn't show any thumbnails, markers or indication of tagged images or other data.

Same thing happen in both map features. The Map search to the left and in Geolocation to the right in view.

The only messages at all in the terminal I get in a session when change map view and switching marker to thumbnail is this, which are no error messages:

Time elapsed: 247 ms
Model: Time elapsed: 0 ms
TextureColorizer::setSeaFileLandFile: Time elapsed: 22 ms
TextureColorizer::setSeaFileLandFile: Time elapsed: 3 ms
TextureColorizer::setSeaFileLandFile: Time elapsed: 3 ms
TextureColorizer::setSeaFileLandFile: Time elapsed: 5 ms
Object::disconnect: No such slot KMap::BackendMarble::slotMarbleZoomChanged(int)
TextureColorizer::setSeaFileLandFile: Time elapsed: 3 ms
Comment 3 Michael G. Hansen 2011-04-11 21:19:39 UTC
Actually I can also reproduce it now, maybe something changed in the Google Maps API.

I will look into it.

Michael
Comment 4 Michael G. Hansen 2011-04-11 21:41:05 UTC
Git commit 7ab2cb6cb17cacbc26d253add0a65fd6bbfc0a14 by Michael Georg Hansen.
Committed on 11/04/2011 at 21:46.
Pushed by mghansen into branch 'master'.

Adapt to changes in the Google Maps API: google.maps.Point().toString() now returns floats instead of integers.

BUG: 270624

M  +4    -3    libkmap/backend_map_googlemaps.cpp     
M  +6    -4    libkmap/kmap_common.cpp     
M  +7    -0    test/test_primitives.cpp     

http://commits.kde.org/libkmap/7ab2cb6cb17cacbc26d253add0a65fd6bbfc0a14